Bug 591639 - [abrt] crash in telepathy-butterfly-0.5.9-1.fc13: p2p.py:183:parse:NameError: global name '_MSNObject__decode_shad' is not defined
[abrt] crash in telepathy-butterfly-0.5.9-1.fc13: p2p.py:183:parse:NameError:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: papyon (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:310e8f89
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 14:34 EDT by boucher.samuel.c
Modified: 2010-06-08 15:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: telepathy-butterfly-0.5.10-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.42 KB, text/plain)
2010-05-12 14:34 EDT, boucher.samuel.c
no flags Details

  None (edit)
Description boucher.samuel.c 2010-05-12 14:34:41 EDT
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.3-85.fc13.i686
package: telepathy-butterfly-0.5.9-1.fc13
reason: p2p.py:183:parse:NameError: global name '_MSNObject__decode_shad' is not defined
release: Fedora release 13 (Goddard)

backtrace
-----
p2p.py:183:parse:NameError: global name '_MSNObject__decode_shad' is not defined

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/msnp/base.py", line 107, in _dispatch_command
    handler(command)
  File "/usr/lib/python2.6/site-packages/papyon/msnp/notification.py", line 414, in _handle_ILN
    self._handle_NLN(command)
  File "/usr/lib/python2.6/site-packages/papyon/msnp/notification.py", line 453, in _handle_NLN
    urllib.unquote(command.arguments[idx]))
  File "/usr/lib/python2.6/site-packages/papyon/p2p.py", line 183, in parse
    shad = __decode_shad(shad)
NameError: global name '_MSNObject__decode_shad' is not defined

Local variables in innermost frame:
creator: 'chewbaka10@hotmail.com'
data: <cStringIO.StringI object at 0x9f85488>
xml_data: '<msnobj Creator="chewbaka10@hotmail.com" Type="3" SHA1D="LCHpcQqjPiA9VtAATR9ZLwZoDlA=" Size="2720" Location="0" Friendly="SgBhAHkAXwBhAG4AZABfAHMAaQBsAGUAbgB0AF8AYgBvAGIAXwBrAGkAcwBzAAAA"/>'
element: {'Creator': 'chewbaka10@hotmail.com', 'SHA1D': 'LCHpcQqjPiA9VtAATR9ZLwZoDlA=', 'Location': '0', 'Type': '3', 'Friendly': 'SgBhAHkAXwBhAG4AZABfAHMAaQBsAGUAbgB0AF8AYgBvAGIAXwBrAGkAcwBzAAAA', 'Size': '2720'}
client: <papyon.client.Client object at 0x9db2f8c>
location: '0'
shad: 'LCHpcQqjPiA9VtAATR9ZLwZoDlA='
type: 3
friendly: 'J\x00a\x00y\x00_\x00a\x00n\x00d\x00_\x00s\x00i\x00l\x00e\x00n\x00t\x00_\x00b\x00o\x00b\x00_\x00k\x00i\x00s\x00s\x00\x00\x00'
size: 2720
Comment 1 boucher.samuel.c 2010-05-12 14:34:43 EDT
Created attachment 413517 [details]
File: backtrace
Comment 2 Brian Pepple 2010-05-12 18:17:22 EDT
Uggh, my patch to fix the sha1 bug obviously is fubar'd. Thanks for reporting this.
Comment 3 Fedora Update System 2010-05-20 18:52:32 EDT
telepathy-butterfly-0.5.10-1.fc13,papyon-0.4.7-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/telepathy-butterfly-0.5.10-1.fc13,papyon-0.4.7-1.fc13
Comment 4 Fedora Update System 2010-05-21 21:48:34 EDT
telepathy-butterfly-0.5.10-1.fc13, papyon-0.4.7-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update telepathy-butterfly papyon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/telepathy-butterfly-0.5.10-1.fc13,papyon-0.4.7-1.fc13
Comment 5 Fedora Update System 2010-05-28 14:04:56 EDT
telepathy-butterfly-0.5.10-1.fc13, papyon-0.4.8-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update telepathy-butterfly papyon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/papyon-0.4.8-1.fc13,telepathy-butterfly-0.5.10-1.fc13
Comment 6 Fedora Update System 2010-06-08 15:31:51 EDT
telepathy-butterfly-0.5.10-1.fc13, papyon-0.4.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.